<img alt="Whole Section" src="images/select_soh/whole_section.png" width="250" />
<br />

# Selecting SOH Channels

---------------------------
---------------------------

## Selecting all SOH channels
To read all SOH channels in the selected data set,  check the checkbox "All SOH".

<br />
<br />
NOTE: For better performance,  this selection won't include channels with
sample rate greater than 1.

<br />
<img alt="Select all SOH channels" src="images/select_soh/all_soh_checkbox.png" height="30" />
<br />

If this checkbox is unchecked,  the latest Preferred SOH list will be used
when reading the data set.
<br />
<img alt="Current preferred SOH list" src="images/select_soh/current_soh_list.png" height="30" />
<br />

## Get a preferred SOH channel list to read
Click button "Pref" to open "SOH Channel Preferences" to create/edit/select a
list of SOH channel to read.
<br />
<img alt="SOH Channel Preferences Dialog" src="images/select_soh/soh_channel_preferences.png" height="300" />
<br />

### SOH channel list

Each row in the table at the center of "SOH Channel Preferences" window
represents an SOH list.

<br />
<img alt="A Row of SOH List" src="images/select_soh/full_row.png" height="75" />
<br />

### Select an SOH channel list

Check on the radio button (1) at the beginning of each row to select the list.

The radio button can also be checked automatically when user try to edit the row.

### Create a new list

+ Add name of the list to the Name box (2)
+ Select a Data Type (3)
+ Add preferred channels to Preferred SOH List box (4).  Channels are separated
by commas.
+ The Preferred SOH List can be edited directly in box 4,  but user can also
click on button EDIT (5) to open a separated dialog for editing easier.
+ Button CLR (6) is for quickly empty the Preferred SOH List box.

### Bottom buttons

<br />
<img alt="Buttons" src="images/select_soh/buttons.png" height="30" />
<br />

**Beside adding preferred channels manually,  users have two other options to start the list:**
+ "Add DB channels": All SOH channels for the selected Data Type in the
database will be added to Preferred SOH List box.
+ "Scan Channel from Data Source": SOHView will scan for all available SOH
channels in the data set.

**For saving Preferred SOH List**
+ "Save": Save any changes to database
+ "Save - Add to Main": Save any changes to database and add the selected
Preferred SOH's name to Main Window so that its SOH list will be included when
reading the data set.