

# How to Use Help

---------------------------
---------------------------

## How to open
Go to Menu - Help and click on "Documentation".

<br />

---------------------------
## User interface

<br />

### Search box
The box to enter search text is placed at the top of the dialog.

<br />

### Search Through All Documents button
The button to search through all documents for search text located on the
right of Search box.

<br />

### Toolbar

+ <img alt="Navigate to Table of Contents" src="images/help/table_contents.png" width="30" />    **Navigate to Table of Contents**: Go to 'Table of Contents' page.

+ <img alt="Recreate Table of Contents" src="images/help/recreate_table_contents.png" width="30" />    **Recreate Table of Contents**: If links in 'Table of Contents' are broken, the page can be recreated by clicking this button.

+ <img alt="Search Previous" src="images/help/search_previous.png" width="30" />    **Search Previous**: Highlight the previous found text and the view roll to its position.

+ <img alt="Search Next" src="images/help/search_next.png" width="30" />    **Search Next**: Highlight the next found text and the view roll to its position.

+ <img alt="Search Next" src="images/help/search_all_doc.png" width="30" />    **Navigate to Search Through All Documents**: Go to 'Search Through All Documents' result page. 

<br />

### Document list
Is the list of all help documents located on the left of Help Dialog.

<br />

### Document View
Occupies the largest section of Help Dialog located on the right to display
the content of the current selected document.

<br />

---------------------------
## How to search in Help Dialog

<br />

### Search for a text on the current document
Type a searched text, the first text found will be highlighted in the Document
View and the view scrolls to its location.

User can traverse back and forth the view to look for previous or next search
text using **Search Previous** or **Search Next** button.

<br />

### Search for all documents that contain the searched text
Type a searched text, click the button 'Search Through All Documents'.

A list of all documents that contain the searched text will be created in
document 'Search Through All Documents'.

The document will be brought to Document View.

Click on the link of a document in 'Search Through All Documents' will bring
its to Document View.

User can go back to 'Search Through All Documents' document any time by
clicking on the name on Document List.

<br />
